textures/aeon2/shinyglass
{
    	qer_editorImage textures/aeon2/ice_effect_light.jpg
    	surfaceparm trans
	surfaceparm nolightmap
    	cull none
    	qer_trans 0.5
    {
        map textures/aeon2/ice_effect_light.jpg
        tcGen environment
        blendFunc GL_ONE GL_ONE
        rgbGen identity
    }

}

textures/aeon2/water_flow
{
	qer_editorimage textures/aeon2/water.jpg
	qer_trans .7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nolightmap
	
	q3map_globaltexture
	q3map_lightimage textures/liquids_sd/siwa_water.tga
    	q3map_surfacelight 100
	q3map_bounceScale 0.5
	cull disable
	nopicmip
	nocompress

	waterfogvars ( 0.06 0.09 0.09 ) 0.1

	{ 
		fog on
		map textures/liquids_sd/siwa_water.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.001 .0007
	}

	{ 
		map textures/aeon2/water.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .002 .0015
		alphaGen const 0.5
	}
	{ 
		map textures/aeon2/water2.jpg
		blendFunc GL_dst_color GL_one
		alphaGen const 0.5
		tcmod scale -.5 -.5
		tcmod scroll .004 .0035
	}
}

textures/aeon2/shiney 
{ 
	qer_editorimage textures/sfx/construction.tga
	qer_trans 0.99

     	cull none
     	noPicmip 
	surfaceparm nonsolid
	surfaceparm nolightmap
     	surfaceparm trans 
     { 
          map textures/sfx/construction.tga // 0.46 0.66 0.83
          blendFunc GL_SRC_ALPHA GL_ONE 
          rgbGen const ( 0.1 0.3 0.45 )
          tcGen environment 
          tcMod scroll 0.025 -0.07625 
     } 
}

textures/aeon2/globalfog
{
	qer_editorimage textures/rise/fog.tga
	qer_trans .5
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture
	//q3map_surfacelight 1
	fogparms ( 0.3 0.46 0.56 ) 64000
}

textures/aeon2/icedkblue_regular
{
	qer_editorimage textures/aeon2/icedkblue.tga	
	q3map_lightImage textures/aeon2/dkblue.tga	
	surfaceparm slick
	surfaceparm nodamage
	
	{
		map $lightmap
		rgbGen identity
	}
	{
        map textures/aeon2/dkblue.tga	
		blendFunc GL_DST_COLOR GL_ZERO
	    rgbGen identity
	}
	{
		map textures/aeon2/iceoverlay.tga
		blendfunc GL_DST_COLOR GL_SRC_ALPHA
		alphagen const 1
	}
	{
		map textures/aeon2/ice_effect_dark.jpg
		tcgen environment
		blendfunc add
		alphagen const 0.1
	}
}

textures/aeon2/icedkbrown_regular
{
	qer_editorimage textures/aeon2/icedkbrown.tga	
	q3map_lightImage textures/aeon2/dkbrown.tga	
	surfaceparm slick
	surfaceparm nodamage
	
	{
		map $lightmap
		rgbGen identity
	}
	{
        map textures/aeon2/dkbrown.tga	
		blendFunc GL_DST_COLOR GL_ZERO
	    rgbGen identity
	}
	{
		map textures/aeon2/iceoverlay.tga
		blendfunc GL_DST_COLOR GL_SRC_ALPHA
		alphagen const 1
	}
	{
		map textures/aeon2/ice_effect_dark.jpg
		tcgen environment
		blendfunc add
		alphagen const 0.1
	}
}

textures/aeon2/icedkpurple_regular
{
	qer_editorimage textures/aeon2/icedkpurple.tga	
	q3map_lightImage textures/aeon2/dkpurple.tga	
	surfaceparm slick
	surfaceparm nodamage
	
	{
		map $lightmap
		rgbGen identity
	}
	{
        map textures/aeon2/dkpurple.tga	
		blendFunc GL_DST_COLOR GL_ZERO
	    rgbGen identity
	}
	{
		map textures/aeon2/iceoverlay.tga
		blendfunc GL_DST_COLOR GL_SRC_ALPHA
		alphagen const 1
	}
	{
		map textures/aeon2/ice_effect_dark.jpg
		tcgen environment
		blendfunc add
		alphagen const 0.1
	}
}

textures/aeon2/icedkyellow_regular
{
	qer_editorimage textures/aeon2/icedkyellow.tga	
	q3map_lightImage textures/aeon2/dkyellow.tga	
	surfaceparm slick
	surfaceparm nodamage
	
	{
		map $lightmap
		rgbGen identity
	}
	{
        map textures/aeon2/dkyellow.tga	
		blendFunc GL_DST_COLOR GL_ZERO
	    rgbGen identity
	}
	{
		map textures/aeon2/iceoverlay.tga
		blendfunc GL_DST_COLOR GL_SRC_ALPHA
		alphagen const 1
	}
	{
		map textures/aeon2/ice_effect_dark.jpg
		tcgen environment
		blendfunc add
		alphagen const 0.1
	}
}

textures/aeon2/glass
{
	qer_editorimage textures/aeon2/dirtymirror2.tga
	qer_trans 0.999
	surfaceparm glass
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm lightfilter
	q3map_lightImage textures/aeon2/dirtymirror2_light.tga
	{
		map textures/aeon2/dirtymirror2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/aeon2/black
{
	qer_editorimage textures/aeon2/black.jpg
	q3map_bounce 0
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nolightmap
	implicitMap textures/aeon2/black.jpg
}